Skip to content
Endless Documentation

Version WorkspaceModel

GET
/organizations/{organization_id}/models/{media_model_id}/versions/{version_id}

Version WorkspaceModel. Scoped to the organization named by organization_id, and the media model named by media_model_id, and the version named by version_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length
media_model_id*string
Length1 <= length
version_id*string
Length1 <= length

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/org_abc123/models/0191e5a2-f480-747a-ad52-1c3b7e95f24d/versions/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "codename": "string",  "name": "string",  "owner": "string",  "description": "string",  "output_type": "text",  "parameters": "string",  "type": "edit",  "minimum_required_plan": "hobby",  "weight": -2147483648,  "version_id": "string",  "version_number": -9007199254740991,  "version_status": "draft",  "enabled": true,  "plan_available": true,  "variants": [],  "quick_actions": []}